Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

install problem

2006-12-08
2013-04-18
  • I've been working for about a day on installing 1.7.0. Does anyone know if this error message looks like the compiler is not finding a tc library?

    Thanks,
    Tom

    cc -g -DUSE_NON_CONST -D__EXTENSIONS__  -I. -I../Misc -I../gap4 -I../g -I../tk8.4.6/generic -I../tcl8.4.6/generic -I/usr/openwin/include -I../io_lib/include -I../tk_utils -I../seq_utils -I.. -I../mutlib  -I../primer3/src -Xa  -o solaris-binaries/edUtils2.o -c edUtils2.c
    "edUtils2.c", line 1282: syntax error before or at: *
    "edUtils2.c", line 1285: undefined symbol: tc
    "edUtils2.c", line 1285: left operand of "->" must be pointer to struct/union
    "edUtils2.c", line 1285: left operand of "->" must be pointer to struct/union
    "edUtils2.c", line 1286: left operand of "->" must be pointer to struct/union
    "edUtils2.c", line 1287: left operand of "->" must be pointer to struct/union
    "edUtils2.c", line 1290: left operand of "->" must be pointer to struct/union
    "edUtils2.c", line 1290: left operand of "->" must be pointer to struct/union
    "edUtils2.c", line 1290: left operand of "->" must be pointer to struct/union
    "edUtils2.c", line 1293: left operand of "->" must be pointer to struct/union
    "edUtils2.c", line 1293: left operand of "->" must be pointer to struct/union
    "edUtils2.c", line 1293: left operand of "->" must be pointer to struct/union
    "edUtils2.c", line 1294: non-unique member requires struct/union pointer: con_cut
    "edUtils2.c", line 1294: left operand of "->" must be pointer to struct/union
    "edUtils2.c", line 1294: non-unique member requires struct/union pointer: qual_cut
    "edUtils2.c", line 1294: left operand of "->" must be pointer to struct/union
    "edUtils2.c", line 1296: left operand of "->" must be pointer to struct/union
    "edUtils2.c", line 1296: left operand of "->" must be pointer to struct/union
    "edUtils2.c", line 2118: cannot recover from previous errors
    cc: acomp failed for edUtils2.c

     
    • Not sure what system you are on. Is that linux? I can't get an installation of 1.7 on Mac OS X, and there seems to be no one able to assist. Has anyone out there got 1.7 working on PPC or intel OS X?
      MDS